Bug 95951

Summary: editors/Openoffice.org-2.0 build WITH_GNUGCJ fails
Product: Ports & Packages Reporter: Heino Tiedemann <rotkaps_spam_trap>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Heino Tiedemann 2006-04-17 18:30:15 UTC
	Problem during building editors/openoffice.org-2.0:
	cd /usr/ports/editors/openoffice.org-2.0
	make -DWITHOUT_MOZILLA -DWITH_GNUGCJ -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de

causes this error:

...

/usr/ports/lang/gcc41-withgcjawt/work/build/./gcc/xgcc -B/usr/ports/lang/gcc41-withgcjawt/work/build/./gcc/ -B/usr/local/i386-portbld-freebsd6.1/bin/ -B/usr/local/i386-portbld-freebsd6.1/lib/ -isystem /usr/local/i386-portbld-freebsd6.1/include -isystem /usr/local/i386-portbld-freebsd6.1/sys-include -DHAVE_CONFIG_H -I. -I../../../../.././..//gcc-4.1-20060414/libjava/classpath/native/jawt -I../../include -I../../../../.././..//gcc-4.1-20060414/libjava/classpath/include -I../../../../.././..//gcc-4.1-20060414/libjava/classpath/native/jni/classpath -I../../../../.././..//gcc-4.1-20060414/libjava/classpath/native/target/Linux -I../../../../.././..//gcc-4.1-20060414/libjava/classpath/native/target/generic -I/usr/local/include -pedantic -W -Wall -Wmissing-declarations -Wwrite-strings -Wmissing-prototypes -Wno-long-long -D_REENTRANT -DXTHREADS -DXUSE_MTSAFE_API -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/u
 sr/X11R6/include/gtk-2.0 -I/usr/X11R6/lib/gtk-2.0/include -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include -I/usr/local/include/freetype2 -I/usr/local/include -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include -I/usr/local/include/freetype2 -I/usr/local/include -O2 -O2 -fno-strict-aliasing -pipe -MT jawt.lo -MD -MP -MF .deps/jawt.Tpo -c ../../../../.././..//gcc-4.1-20060414/libjava/classpath/native/jawt/jawt.c  -fPIC -DPIC -o .libs/jawt.o
/bin/sh ../../libtool --mode=link /usr/ports/lang/gcc41-withgcjawt/work/build/./gcc/xgcc -B/usr/ports/lang/gcc41-withgcjawt/work/build/./gcc/ -B/usr/local/i386-portbld-freebsd6.1/bin/ -B/usr/local/i386-portbld-freebsd6.1/lib/ -isystem /usr/local/i386-portbld-freebsd6.1/include -isystem /usr/local/i386-portbld-freebsd6.1/sys-include -pedantic -W -Wall -Wmissing-declarations -Wwrite-strings -Wmissing-prototypes -Wno-long-long -D_REENTRANT -DXTHREADS -DXUSE_MTSAFE_API -I/usr/local/include/atk-1.0 -I/usr/local/include/cairo -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/X11R6/include/gtk-2.0 -I/usr/X11R6/lib/gtk-2.0/include -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include -I/usr/local/include/freetype2 -I/usr/local/include    -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/X11R6/include/pango-1.0 -I/usr/X11R6/include -I/usr/local/include/freetype2 -I/usr/local/include   -O2 -O2 -fno-strict-aliasing -pipe   -module -version-info 0:
 0:0 -no-undefined -pthread -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -L/usr/X11R6/lib -lgtk-x11-2.0 -lgdk-x11-2.0 -lXrandr -lXi -lXinerama -latk-1.0 -lpangocairo-1.0 -lXcursor -lXfixes -lcairo -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lXrender -lX11 -lXext -lgthread-2.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv    -Wl,--rpath -Wl,/usr/local/lib -L/usr/local/lib -L/usr/X11R6/lib -lpangoft2-1.0 -lfontconfig -lfreetype -lz -lpango-1.0 -lm -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -liconv    -L/usr/X11R6/lib -lXtst  -o libjawtgnu.la   jawt.lo ../../native/jni/gtk-peer/libgtkpeer.la
libtool: link: cannot find the library `'
gmake[6]: *** [libjawtgnu.la] Error 1
gmake[6]: Leaving directory `/usr/ports/lang/gcc41-withgcjawt/work/build/i386-portbld-freebsd6.1/libjava/classpath/native/jawt'
gmake[5]: *** [all-recursive] Error 1
gmake[5]: Leaving directory `/usr/ports/lang/gcc41-withgcjawt/work/build/i386-portbld-freebsd6.1/libjava/classpath/native'
gmake[4]: *** [all-recursive] Error 1
gmake[4]: Leaving directory `/usr/ports/lang/gcc41-withgcjawt/work/build/i386-portbld-freebsd6.1/libjava/classpath'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/lang/gcc41-withgcjawt/work/build/i386-portbld-freebsd6.1/libjava'
gmake[2]: *** [all-target-libjava] Error 2
gmake[2]: Leaving directory `/usr/ports/lang/gcc41-withgcjawt/work/build'
gmake[1]: *** [all] Error 2
gmake[1]: Leaving directory `/usr/ports/lang/gcc41-withgcjawt/work/build'
gmake: *** [bootstrap-lean] Error 2
*** Error code 2

Stop in /usr/ports/lang/gcc41-withgcjawt.
*** Error code 1

Stop in /usr/ports/editors/openoffice.org-2.0.

How-To-Repeat: 	cd /usr/ports/editors/openoffice.org-2.0
        make -DWITHOUT_MOZILLA -DWITH_GNUGCJ -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2006-04-17 20:34:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer(s).
Comment 2 Mark Linimon 2006-04-17 21:07:15 UTC
----- Forwarded message from Bartosz Fabianowski <freebsd@chillt.de> -----

From: Bartosz Fabianowski <freebsd@chillt.de>
To: Mark Linimon <linimon@FreeBSD.org>
Cc: freebsd-ports-bugs@FreeBSD.org, openoffice@FreeBSD.org
Subject: Re: ports/95951: editors/Openoffice.org-2.0 build WITH_GNUGCJ fails
X-Spam-Checker-Version: SpamAssassin 3.0.3 (2005-04-27) on pancho.soaustin.net
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.1 tests=AWL,BAYES_00 autolearn=ham 
	version=3.0.3

This is actually a problem with libtool while building 
lang/gcc41-withgcjawt. There are three possible causes for this:

a) The lang/gcc41 port (master port of lang/gcc41-withgcjawt) comes with 
an outdated libtool version and needs "USE_AUTOTOOLS=libtool:15" in 
order to use the system-provided libtool 1.5. This is highly unlikely as 
others would certainly have noticed that lang/gcc41 does not compile before.

b) AWT, as bundled with gcc 4.1, uses its own private copy of libtool 
which happens to be outdated. I don't know whether lang/gcc41 compiles 
AWT as well. If it doesn't, then it's possible that this somehow got 
missed so far - but it is also very unlikely (Maho would have noticed 
this while testing his own port).

c) By far the most likely explanation: You have not correctly updated 
the ports installed on your system when libtool handling was redone in 
February. Short of "portupgrade -af", this is hard to fix. There is a 
port that was compiled with an old version of libtool somewhere on your 
machine and it needs to be reinstalled; finding this port won't be easy. 
You can try "portupgrade -a" of course to see whether there aren't any 
obviously stale ports.

- Bartosz

----- End forwarded message -----
Comment 3 Maho Nakata freebsd_committer 2006-05-28 10:23:39 UTC
State Changed
From-To: open->closed

This is not an issue of OpenOffice.org port, as Bartosz told.